Name:           intel-gpu-tools
Version:        1.19
Release:        %mkrel 1
Summary:        Tools for debugging the Intel graphics driver
Group:          System/Kernel and hardware
License:        MIT
URL:            http://xorg.freedesktop.org
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  pkgconfig(dri2proto)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libkmod)
BuildRequires:  pkgconfig(libprocps)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xorg-macros)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)
BuildRequires:  python-docutils
BuildRequires:  python3

ExclusiveArch:  %ix86 x86_64

%description
Intel GPU Tools is a package of tools for debugging the Intel graphics
driver, including a GPU hang dumping program, performance monitor, and
performance microbenchmarks for regression testing the DRM.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure2_5x --disable-tests
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name "*.la" -print -delete

%files
%doc NEWS README
%{_bindir}/igt_stats
%{_bindir}/intel*
%{_datadir}/%{name}/
%{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/intel-gen4asm.pc
%{_libdir}/intel_aubdump.so
%{_libexecdir}/%{name}/
%{_mandir}/man1/intel*.1*


%changelog
* Sat Jun 10 2017 akien <akien> 1.19-1.mga6
+ Revision: 1107522
- Version 1.19

* Mon Mar 13 2017 akien <akien> 1.18-1.mga6
+ Revision: 1092364
- Version 1.18

* Mon Dec 05 2016 akien <akien> 1.17-1.mga6
+ Revision: 1072625
- Version 1.17

  + ghibo <ghibo>
    - Added glibc-static-devel to BuildRequires.

* Thu Nov 03 2016 akien <akien> 1.16-3.mga6
+ Revision: 1065042
- Add upstream patch to fix ix86 build

* Thu Nov 03 2016 akien <akien> 1.16-2.mga6
+ Revision: 1065036
- Do not build on arm, there seems to be no drm_intel there
- Disable building the test suite, we do not run it (driver tests, not the built tools)
- Workaround i586 build misconfiguration, needs to be looked into
- imported package intel-gpu-tools

  + ghibo <ghibo>
    - Added gtk-doc devel to BuildRequires.

